Organize TravisCI configuration #22

Merged
merged 2 commits into from Jan 27, 2016
Jump to file or symbol
Failed to load files and symbols.
+30 −0
Diff settings

Always

Just for now

View
@@ -2,10 +2,17 @@ sudo: false
language: ruby
rvm:
+ - 2.3.0
- 2.2
- 2.1
- 2.0.0
- 1.9.3
before_install:
- gem update bundler
+
+gemfile:
+ - Gemfile
+ - gemfiles/fluentd_v0.10.gemfile
+ - gemfiles/fluentd_v0.12.gemfile
+
View
@@ -0,0 +1,8 @@
+appraise "fluentd v0.10" do
+ gem "fluentd", "~> 0.10.46"
+end
+
+appraise "fluentd v0.12" do
+ gem "fluentd", "~> 0.12.0"
+end
+
@@ -17,6 +17,7 @@ Gem::Specification.new do |s|
s.add_development_dependency "rake"
s.add_development_dependency "test-unit", ">= 3.1.0"
+ s.add_development_dependency "appraisal"
s.add_runtime_dependency "fluentd", ">= 0.10.46"
s.add_runtime_dependency "twitter", ">= 5.0.0"
s.add_runtime_dependency "tweetstream", ">= 2.6.1"
@@ -0,0 +1,7 @@
+# This file was generated by Appraisal
+
+source "http://rubygems.org"
+
+gem "fluentd", "~> 0.10.46"
+
+gemspec :path => "../"
@@ -0,0 +1,7 @@
+# This file was generated by Appraisal
+
+source "http://rubygems.org"
+
+gem "fluentd", "~> 0.12.0"
+
+gemspec :path => "../"